Skip to main content
POST
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

create:connections_keys

Create Connections Keys

Path Parameters

id
string
required

ID of the connection

Body

key_use
enum<string>

Whether to provision a signing key (default) or an encryption key for the connection.

Available options:
encryption,
signing
signing_alg
enum<string>

Selected Signing Algorithm. Only applicable when key_use is "signing".

Available options:
RS256,
RS384,
RS512,
PS256,
PS384,
ES256,
ES384
encryption_alg
enum<string>

Selected key-management algorithm for the encryption key. Only applicable when key_use is "encryption".

Available options:
RSA-OAEP-256,
RSA-OAEP-384,
RSA-OAEP-512,
ECDH-ES,
ECDH-ES+A128KW,
ECDH-ES+A192KW,
ECDH-ES+A256KW

Response

Connection keys successfully created.

kid
string
required

The key id of the signing or encryption key

Maximum string length: 255
cert
string
default:-----BEGIN CERTIFICATE----- MIIDDTCCA...YiA0TQhAt8= -----END CERTIFICATE-----
required

The public certificate of the signing or encryption key

Maximum string length: 4096
fingerprint
string
default:CC:FB:DD:D8:9A:B5:DE:1B:F0:CC:36:D2:99:59:21:12:03:DD:A8:25
required

The cert fingerprint

thumbprint
string
default:CCFBDDD89AB5DE1BF0CC36D29959211203DDA825
required

The cert thumbprint

Maximum string length: 255
pkcs
string
default:-----BEGIN PKCS7----- MIIDPA....t8xAA== -----END PKCS7-----

The public certificate of the signing or encryption key in pkcs7 format

Maximum string length: 4096
current
boolean
default:true

True if the key is the current key

next
boolean

True if the key is the next key

current_since
string

The date and time when the key became the current key

algorithm
string

Key algorithm: a signing algorithm for signing keys, or a key-management algorithm for encryption keys

key_use
enum<string>

Key use, whether for encryption or signing

Available options:
encryption,
signing
subject_dn
string
Maximum string length: 132